summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-08-16 13:45:08 +0200
committerAlexis Ballier <aballier@gentoo.org>2016-08-16 13:45:08 +0200
commit0bb3e3705367ca9fa0f98ec8ce7f6a5eb8441749 (patch)
tree09b894cf7add7ac66131875ae46647bdacc8f954 /dev-ml/menhir
parentdev-ml/menhir: remove old (diff)
downloadgentoo-0bb3e3705367ca9fa0f98ec8ce7f6a5eb8441749.tar.gz
gentoo-0bb3e3705367ca9fa0f98ec8ce7f6a5eb8441749.tar.bz2
gentoo-0bb3e3705367ca9fa0f98ec8ce7f6a5eb8441749.zip
dev-ml/menhir: bump to 20160808
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-ml/menhir')
-rw-r--r--dev-ml/menhir/Manifest1
-rw-r--r--dev-ml/menhir/menhir-20160808.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-ml/menhir/Manifest b/dev-ml/menhir/Manifest
index b61e5302009..533b706359a 100644
--- a/dev-ml/menhir/Manifest
+++ b/dev-ml/menhir/Manifest
@@ -1 +1,2 @@
DIST menhir-20160526.tar.gz 731071 SHA256 dac27e31b360331cbac92d6cafb917e52058cb5bb8301337c3c626a161c7dec4 SHA512 9f1dce28675263542558cd65249aee85d3ee9586b8779316d404074ee0fa0db4e5be6f4dbe1ec7b81e262d99a71294a44260e4eeba4aecc4a8bb4010bd0b12c1 WHIRLPOOL f5d059f4a2fb8a235e5be5571ab15d191fb8a8251901a71968ae1253f0872af2a9b3747ca5d2649e8c01d2b004b589b3336e6f114b8268fbfa2f0f223e9de2c0
+DIST menhir-20160808.tar.gz 733224 SHA256 c583a425ad1152bb4f93e4a8de384e0174f423485463dc6ab6b6d7c070b77295 SHA512 162e69642ca34d7da078f14b4509ab88e158cc4ba5ee70a067b7a2a2ea444f7cad77244de4a179c4a00420442c537f662257f1ead03dc9b80c799da0073a94b9 WHIRLPOOL 80b7e5047619d6c791477677ac22b625cfed00056e62759f7a3d725fbb791fff26b852d7126d475426db84eb71c55b480812760f89d40b09672afc676b5488ea
diff --git a/dev-ml/menhir/menhir-20160808.ebuild b/dev-ml/menhir/menhir-20160808.ebuild
new file mode 100644
index 00000000000..bc466320f8f
--- /dev/null
+++ b/dev-ml/menhir/menhir-20160808.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib eutils
+
+DESCRIPTION="LR(1) parser generator for the OCaml language"
+HOMEPAGE="http://gallium.inria.fr/~fpottier/menhir/"
+SRC_URI="http://gallium.inria.fr/~fpottier/menhir/${P}.tar.gz"
+
+LICENSE="QPL-1.0 LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples +ocamlopt"
+
+RDEPEND=">=dev-lang/ocaml-4.02:=[ocamlopt?]"
+DEPEND="${RDEPEND}
+ dev-ml/ocamlbuild"
+
+src_configure() {
+ if ! use ocamlopt ; then
+ export TARGET=byte
+ fi
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}"/usr -j1
+}
+
+src_install() {
+ findlib_src_preinst
+ emake PREFIX="${ED}"/usr docdir="${ED}"/usr/share/doc/"${PF}" $(use examples || echo "DOCS=manual.pdf") install
+ use examples && docompress -x /usr/share/doc/${PF}/demos
+ dodoc AUTHORS CHANGES
+}